Ubuntu

“libtime-y2038-perl” 20100403-2ubuntu1 source package in Ubuntu

Changelog

libtime-y2038-perl (20100403-2ubuntu1) precise; urgency=low

  * Build with -O1 on ARM.  GCC 4.6 seems to misoptimise some 64-bit
    arithmetic at -O2 (LP: #935270).
 -- Colin Watson <email address hidden>   Sun, 22 Apr 2012 02:12:04 +0100

Upload details

Uploaded by:
Colin Watson on 2012-04-22
Uploaded to:
Precise
Original maintainer:
Ubuntu Developers
Component:
universe
Architectures:
any
Section:
perl
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Quantal release on 2012-04-26 universe perl
Precise release on 2012-04-22 universe perl

Downloads

File Size MD5 Checksum
libtime-y2038-perl_20100403.orig.tar.gz 25.8 KiB 4bb7e43aab24a7c5f06958b553978eee
libtime-y2038-perl_20100403-2ubuntu1.debian.tar.gz 2.3 KiB 27f4d35c3a1c18be10e0f2dcefe33ffd
libtime-y2038-perl_20100403-2ubuntu1.dsc 2.3 KiB 21200a80221450b17b4d2c480d9cc7e4

Binary packages built by this source

libtime-y2038-perl: Perl module with time functions working beyond 2038

 On many computers, Perl's time functions will not work past the year 2038.
 This is a design fault in the underlying C libraries Perl uses. Time::y2038
 provides replacements for those functions which will work accurately +/1 142
 million years.